# Based on: /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
# Edited and adapted by /* ---- https://gitea.ramforth.net ----*/
# Commands and Apps to be executed at launch

$scriptsDir = $HOME/.config/hypr/scripts
$UserScripts = $HOME/.config/hypr/UserScripts

$wallDIR=$HOME/Pictures/wallpapers
$lock = $scriptsDir/LockScreen.sh
$SwwwRandom = $UserScripts/WallpaperAutoChange.sh
$livewallpaper=""

# wallpaper stuff 
exec-once = swww-daemon --format xrgb
#exec-once = mpvpaper '*' -o "load-scripts=no no-audio --loop" $livewallpaper

# wallpaper random
#exec-once = $SwwwRandom $wallDIR # random wallpaper switcher every 30 minutes

# Startup
exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP

# Initialize Drop Down terminal - See Bug#810 https://github.com/JaKooLit/Hyprland-Dots/issues/810#issuecomment-3351947644
exec-once = $HOME/.config/hypr/scripts/Dropterminal.sh kitty &


# Polkit (Polkit Gnome / KDE)
exec-once = $scriptsDir/Polkit.sh

# starup apps
exec-once = nm-applet --indicator
exec-once = swaync
#exec-once = ags
#exec-once = blueman-applet
#exec-once = rog-control-center
#exec-once = waybar
exec-once = waybar -c "/home/joe/.config/waybar/configs/[TOP] Default"
#exec-once = qs # quickshell AGS Desktop Overview alternative

#clipboard manager
exec-once = wl-paste --type text --watch cliphist store
exec-once = wl-paste --type image --watch cliphist store

# Rainbow borders
#exec-once = $UserScripts/RainbowBorders.sh

# Starting hypridle to start hyprlock
exec-once = hypridle


# Here are list of features available but disabled by default
exec-once = swww img $HOME/Pictures/wallpapers/mecha-nostalgia.png  # persistent wallpaper

#gnome polkit for nixos
#exec-once = $scriptsDir/Polkit-NixOS.sh

# xdg-desktop-portal-hyprland (should be auto starting. However, you can force to start)
#exec-once = $scriptsDir/PortalHyprland.sh
